




*:focus {
    outline: none !important
}





* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    scroll-behavior: smooth;
    
}


/*Farbe markierter Text*/
/* Für moderne Browser */
::selection {
  background-color: #e5ff1e; /* Gelber Hintergrund */
  color: #0c0c0c;            /* Schwarze Schrift */
}

/* Für Firefox Unterstützung */
::-moz-selection {
  background-color: #e5ff1e;
  color: #0c0c0c;
}







/*Overlay mit jquery: Quelle in JS*/


body.active {
    overflow: hidden;
}

.overlay {
    position: fixed;
    /*display:none;*/
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    
}

/*toggle-class nach on.(click)*/
body.active .overlay {
    background-color: rgba(0, 0, 0, 0.5);
    height: 100%;
    transition-duration: 0.2s;
}


.logo{
    text-transform: uppercase;
}


.navbar {
    /*  background-color: #D7D2CB ;*/
    padding-top: 1rem;
    padding-bottom: 1rem;
    position: fixed;
    width: 100%;
    z-index: 2;
    top: 0;
    /*background-color: #e9e6e1;;  */ 
}


.main-nav {
    list-style-type: none;
    list-style-type: none;
    font-size: 1.2rem;
    display: block;
    height: 0%;
    width: 100%;
    position: fixed;
    overflow: hidden;
    /*background-color:#DB530A;*/
    background-color: #e9e6e1;
    top: 0;
    transition: 0.5s;
}


.main-navcont {
    padding-top: 7rem;
}

.main-nav li {
    text-align: center;
}

.main-nav li .dropdown {
    text-align: center;
    width: 100%;
}


.active {
    height: 25rem;
    top: 0;
    position: fixed;
    overflow: scroll;
    width: 100%;
}


.navbar-toggle {
    position: absolute;
    top: 2rem;
    right: 5rem;
    line-height: 0rem;
    color: #0c0c0c;
    /*font-size: 24px;*/
    z-index: 4;
}



.logo {
    font-family: "Outfit-Variable";
    font-weight: 700;
    font-size: 1.2rem;
    letter-spacing: 0.19rem;
    color: #0c0c0c;
    display: inline-block;
    text-decoration: none;
    padding-top: 1rem;
    min-width: fit-content;
    padding-left: 5rem;
}



.nav-links {
    font-family: "Outfit-Variable";
    font-weight: 400;
    font-size: 1.2rem;
    letter-spacing: 0.18rem;
    color: #0c0c0c;
    display: inline-block;
    text-decoration: none;
    text-transform: uppercase;
    padding-top: 2rem;
    text-align: center;
}



a.nav-links {
    position: relative;
}



/*Unterstreichung*/
a.nav-links:before {
    content: "";
    position: absolute;
    width: 0;
   /*height: 1.50px;*/
   height: 1.7px;
    bottom: -1.50px;
    left: 0;
    background-color: #0c0c0c;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
}


/*Unterstreichung auf aktueller Seite*/
#aktuell a.nav-links:before {
    visibility: visible;
    width: 100%;
}


/*Unterstreichung Animtation bei Hover*/
a.nav-links:hover:before {
    visibility: visible;
    width: 100%;
}



/*Spracheinstellung*/
/*
.nav2-links {
    color: black;
    font-size: 1.2rem;
    display: inline-block;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 0.19rem;
    font-weight: 700;

}

.nav2-links:hover {

    color: #837D59;
    ;
}

*/


/*Sprachauswahl*/
/*
.dropdown {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 5rem;
    margin-bottom: 4rem;
}

.dropdown .dropbtn {
    font-size: 1.2rem;
    border: none;
    outline: none;
    color: #837D59;
    background-color: inherit;
    font-family: inherit;
    font-weight: 700;
    display: inline-block;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 0.19rem;
    text-align: center;
    padding: 0.5rem 1rem 0.5rem 1rem;
    ;
    border-bottom: 2px solid#837D59;
}



.dropdown .dropbtn:hover {
    cursor: pointer;
}


.dropdown-content {
    padding: 0.5rem 1rem 0.5rem 1rem;
}


.dropdown-content:hover {
    transition: ease-in 0.1s;
}


.dropdown-content a:hover {
    color: none;
}

*/










/*Große Bildschirme*/

@media screen and (min-width: 2000px) {

    .navbar{
        width: min(100%, 125rem);
        margin-inline-start: auto;
        margin-inline-end: auto;
    }
  
   

}










/*Menüpunkte sichtbar ab bestimmter Größe - also Desktop*/

@media screen and (min-width: 1250px) {


    .navbar {
        display: flex;
        justify-content: space-between;
        padding-top: 0rem;
        padding-bottom: 2rem;
        position: fixed;
        z-index: 1;
        padding-right: 6rem;
        padding-left: 6rem;
        
    }

    .active {


        background-color: transparent;
        right: 0;
        top: 0;

    }



    .main-nav {
        display: flex;
        flex-direction: column;
        padding-top: 1.6rem;
        position: relative;
        transition: none;
        display: relative;
        box-shadow: none;
        background-color: transparent;
        width: 100%;
        top: 0;
        transition: none;
        padding-right: 0rem;

    }

    .main-navcont {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        padding-top: 0;
        padding-bottom: 1rem;

    }



    a.nav-links {
        margin-left: 3.2rem;
        /*margin-right: 1.6rem;*/
    }


    .nav-links {
        padding-top: 1rem;


    }



    .logo {

      padding-left: 0;
        padding-top: 2.65rem;
    }

    .navbar-toggle {
        display: none;
    }

    .logo:hover,
    .nav-links:hover {
        color: #0c0c0c;
    }


    /*
    .dropdown {
        float: left;
        overflow: hidden;
        display: inline;
        margin-top: 0rem;
        margin-bottom: 0rem;
    }

    .dropdown .dropbtn {

        border: none;
        outline: none;
        background-color: inherit;
        font-family: inherit;
        color: #0c0c0c;
        display: inline-block;
        text-decoration: none;
        text-transform: uppercase;
        text-align: center;
        padding: 1rem;
        margin-right: 4rem;
        margin-left: 2rem;
        /*border-left: 2px solid red;*/

        /*border-left: 2px solid red;
        border-top: 2px solid red;
        border-bottom: 2px solid red;*//*
        z-index: 2;
    }

    .dropdown .dropbtn:hover {
        cursor: pointer;
        /*border-left: 2px solid red;*//*
        transition: all 0.3s ease-in;

    }



    .dropdown-content {


        position: absolute;
        min-width: fit-content;
        z-index: 1;
        right: 0;
        overflow: hidden;
        height: 0;
        position: fixed;
        /*box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);*//*
        transition: all 0.3s ease-in;
        padding: 0rem;
        border: none;
        z-index: 2;
        margin-left: 2rem;
        margin-right: 4rem;

    }

    .dropdown-content a {
        float: none;
        color: #0c0c0c;
        padding: 0.99rem;
        text-decoration: none;
        display: block;
        text-align: left;
        margin: 0;
        border-top: 2px solid #DB530A;
        transition: all 0.3s ease-in;


    }



    .dropdown-content a:hover {
        color: #DB530A;
        font-weight: 700;
        transition: ease-in 0.2s;


    }

    .dropdown:hover .dropdown-content {

        display: block;
        height: 3rem;
    }

    */



    /*
    .overlay{
        
       display:none;
        
    }*/




}



@media screen and (min-width: 750px)and (max-width:800px) {
    .logo {
        padding-left: 7%;
    }

    .navbar-toggle {
        right: 7%;
    }

  
}



/*Handygröße*/

@media screen and (max-width: 750px) {
    .navbar {
        /*padding-top: 0.3rem;*/
        padding-top: 0.8rem;
        padding-bottom: 0.2rem;
    }

    /*
    .nav-links{
        font-size: 3rem;
        font-weight: 600;
        letter-spacing: 0;
    }
    
    a.nav-links:before{
        height: 4px;
        bottom: 2px;
    }*/

    .logo {
        padding-top: 0.5rem;
        padding-left: 5%;
        /*line-height: 1.35rem;*/
        font-size: 0.9rem;
        letter-spacing: 0.14rem;
        line-height: 0.95rem;
    }



    .navbar-toggle {
        top: 1.15rem;
        right: 5%;
    }

    .active {
        height: 100vh;
    }

    .main-navcont {
        padding-top: 0rem;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        height: 100vh;
        /*background-color:  #DB530A;*/
        background-color: #e9e6e1;
        margin-top: -1rem;
    }

    /*
    .dropdown {
        margin-top: 4rem;
        margin-bottom: 2rem;
    }
    */
}



/*Navbar konfiguriert, basierend auf folgender Quelle:*/

/*Copyright (c) 2025 by Sukhjinder Arora (https://codepen.io/Sukhjinder-arora/pen/OZGomv)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software 
and associated documentation files (the "Software"), to deal in the Software without restriction, 
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, 
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE 
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN 
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/